---
updatedAt: 2026-05-12T09:58:45.000Z
---

# Create a new site

This operation enables you to create a new site.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "CredentialsInput": {
        "description": "CredentialsInput holds the structure of the request body for POST credentials",
        "properties": {
          "ModifiedDate": {
            "type": "string"
          },
          "credName": {
            "type": "string"
          },
          "destinationURL": {
            "type": "string"
          },
          "loginURL": {
            "type": "string"
          },
          "notes": {
            "type": "string"
          },
          "password": {
            "type": "string"
          },
          "priority": {
            "format": "int64",
            "type": "integer"
          },
          "scanning": {
            "type": "boolean"
          },
          "status": {
            "type": "string"
          },
          "username": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "ErrorMessage": {
        "description": "ErrorMessage describes the error",
        "properties": {
          "code": {
            "format": "int64",
            "type": "integer"
          },
          "reason": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "ProvisionedSite": {
        "description": "ProvisionedSite is the data object that is returned from a newly created site\nThis structure is backward compatible with the structure\nreturned from the site provisioning API",
        "properties": {
          "applianceId": {
            "format": "int64",
            "type": "integer"
          },
          "associatedHostname": {
            "type": "string"
          },
          "clientId": {
            "format": "int64",
            "type": "integer"
          },
          "customAssetID": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "id": {
            "format": "int64",
            "type": "integer"
          },
          "industry": {
            "type": "string"
          },
          "label": {
            "type": "string"
          },
          "organization": {
            "type": "string"
          },
          "serviceLevel": {
            "type": "string"
          },
          "speed": {
            "type": "string"
          },
          "url": {
            "type": "string"
          },
          "usesSatellite": {
            "type": "boolean"
          },
          "weight": {
            "format": "int64",
            "type": "integer"
          }
        },
        "type": "object"
      },
      "SiteInputSwagger": {
        "description": "SiteInputSwagger holds the structure of the request body for POST sites",
        "properties": {
          "CustomAssetID": {
            "description": "Custom Asset ID for the site. NOTE: Please ensure any value for this field, even if it consists only of numbers, is enclosed in double quotes in the JSON content so it is parsed correctly prior to making the API request.",
            "type": "string"
          },
          "additionalInformation": {
            "description": "Additional notes about the site.",
            "type": "string"
          },
          "applianceId": {
            "description": "ID of a valid satellite appliance if the site uses one for scanning. Appliance must be an active DAST appliance on your client.",
            "format": "int64",
            "type": "integer"
          },
          "applianceNameResolution": {
            "description": "Hostname resolution type for asset using a satellite appliance. Allowed values are: ip, dns",
            "type": "string"
          },
          "associatedHostnameList": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "credentials": {
            "$ref": "#/components/schemas/CredentialsInput"
          },
          "description": {
            "description": "Free form description of the site",
            "type": "string"
          },
          "industry": {
            "description": "General industry category used for aggregate statistics",
            "type": "string"
          },
          "internalSiteIp": {
            "description": "IP address of an internal site. It is mandatory only if the applianceId is mentioned. Must be a valid IPv4 address.",
            "type": "string"
          },
          "isAPI": {
            "type": "boolean"
          },
          "label": {
            "description": "Site label. Limited to 100 characters, must be unique and must not contain $, <, > or \".\"",
            "type": "string"
          },
          "serviceLevel": {
            "description": "Service level for the site to be scanned.",
            "type": "string"
          },
          "speed": {
            "description": "The speed at which to scan the site. Ranges from unlimited requests per second (very fast) to 1 request per second (very slow).",
            "type": "string"
          },
          "url": {
            "description": "URL of site to be scanned. Must be a valid HTTP URL.",
            "type": "string"
          },
          "weight": {
            "description": "User provided subjective scale used by the Vulnerability scoring system. 0 yields lower scores, 10 yields higher scores.",
            "format": "int64",
            "type": "integer"
          }
        },
        "required": [
          "industry",
          "label",
          "serviceLevel",
          "url"
        ],
        "type": "object"
      }
    }
  },
  "info": {
    "license": {
      "name": "(c) Copyright 2023 WhiteHat Security"
    },
    "title": "Sites API",
    "version": "2.0.0"
  },
  "openapi": "3.0.1",
  "paths": {
    "/api/sites": {
      "post": {
        "description": "This operation enables you to create a new site.",
        "operationId": "addSite",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SiteInputSwagger"
              }
            }
          },
          "description": "Body of the request holds the data to input when adding a site.",
          "required": true
        },
        "responses": {
          "201": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProvisionedSite"
                }
              }
            },
            "description": "AddSiteResponse provides the structure of the response body for POST sites"
          },
          "400": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description": "BadRequestResponse indicates a request with invalid parameters"
          },
          "401": {
            "description": "UnauthorizedResponse signals an unauthorized API access"
          },
          "403": {
            "description": "ForbiddenResponse signals a request for a resource that does not exist or is not authorized"
          },
          "500": {
            "description": "GenericError generic error"
          }
        },
        "summary": "Create a new site",
        "tags": [
          "Sites API v2.0"
        ],
        "x-codegen-request-body-name": "body"
      }
    }
  },
  "servers": [
    {
      "url": "https://sentinel.whitehatsec.com/"
    }
  ],
  "tags": [
    {
      "name": "Sites API v2.0"
    }
  ],
  "x-explorer-enabled": false,
  "x-readme": {
    "proxy-enabled": true
  }
}
```